Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.bookmarks
Class BookmarkManager

    java.lang.Object
      com.tonbeller.wcf.bookmarks.BookmarkManager

public class BookmarkManager
extends java.lang.Object

Author:
  av

Method Summary
`java.lang.Object` | `collectSessionState(int levelOfDetail)` collects tht state of all Bookmarkable Session Attributes
`static BookmarkManager` | `instance(javax.servlet.http.HttpSession session)`
`void` | `restoreAttributeState(java.lang.String name)` restores bookmark state for a single session attribute.
`void` | `restoreSessionState(java.lang.Object memento)` restores the State of all Bookmarkable Session Atributes

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### instance

    public static BookmarkManager instance(javax.servlet.http.HttpSession session)

### collectSessionState

    public java.lang.Object collectSessionState(int levelOfDetail)

  collects tht state of all Bookmarkable Session Attributes

  Returns:
    memento object

### restoreSessionState

    public void restoreSessionState(java.lang.Object memento)

  restores the State of all Bookmarkable Session Atributes

  Parameters:
    `memento` - created by collectBookmarkState()
  See Also:
    `#collectBookmarkState`

### restoreAttributeState

    public void restoreAttributeState(java.lang.String name)

  restores bookmark state for a single session attribute. This is used for objects that were created after restoreSessionState() was called. (e.g. via jsp tags on different jsp pages).

  Parameters:
    `name` - name of the session attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD